PHP.SU

Программирование на PHP, MySQL и другие веб-технологии
PHP.SU Портал     На главную страницу форума Главная     Помощь Помощь     Поиск Поиск     Поиск Яндекс Поиск Яндекс     Вакансии  Пользователи Пользователи


 Страниц (1): [1]   

> Описание: Установка Apache2.4, php8 и postgres 9.6 на Windows 10 x64
Contr
Отправлено: 25 Ноября, 2021 - 11:59:44
Post Id



Частый гость


Покинул форум
Сообщений всего: 202
Дата рег-ции: Окт. 2011  
Откуда: с Марса


Помог: 1 раз(а)




Здравствуйте! У меня не было проблем с установкой на виндовс 10 х86

А вот с установкой на 64разрядный прямо беда.

Скачан php8.0 с официального сайта php.net 64разрядный, как положено, VS16.
Там рекомендуется из двух сборок апача (haus и lounge) взять лоунж.

Скачал апач лоунж (тоже официальный), тоже х64 и тоже VS16.

Установил постгрес версию 9.6 тоже х64 (пробовал и 14 версию, все также)

Раскоментировал в php.ini два модуля как обычно.

Значит так: если установить х86 php, то ругается при httpd.exe -k start на apache_php8.dll (или как его там), что он %1 не является приложением win32 (что и следовало ожидать, ведь он х86)

Если ставить х64 php, то апач запускается, но в логах пишет ошибку на php_pdo_pgsql и php_pgsql, что они не является приложением win32.


Получается, что они х86 архитектуры или как? Хотя они из дистрибутива х64 с оф сайта.


Ругается также и на другой модуль,mbstring, если его раскомментировать. Да и на все осиалтные, думаю тоже, но я не пробовал.

Кто-нибудь пробовал ставить полностью х64 версии апача и пхп?

(Отредактировано автором: 25 Ноября, 2021 - 12:02:20)

 
 Top
Страниц (1): [1]
Сейчас эту тему просматривают: 1 (гостей: 1, зарегистрированных: 0)
« Apache и другие веб-серверы »


Все гости форума могут просматривать этот раздел.
Только зарегистрированные пользователи могут создавать новые темы в этом разделе.
Только зарегистрированные пользователи могут отвечать на сообщения в этом разделе.
 



Powered by PHP  Powered By MySQL  Powered by Nginx  Valid CSS  RSS

 
Powered by ExBB FM 1.0 RC1. InvisionExBB